﻿using System.Runtime.InteropServices;

namespace CSMediaControl;

internal static class MediaController
{
    [DllImport("user32.dll")]
    // ReSharper disable once IdentifierTypo
    private static extern void keybd_event(byte virtualKey, byte scanCode, uint flags, IntPtr extraInfo);
    private const int KeyEventFExtendedKey = 1;
    //private const int KeyEventFKeyup = 0;
    //https://learn.microsoft.com/de-de/windows/win32/inputdev/virtual-key-codes
    
    public static void PlayPause()
    {
        keybd_event(0xB3, 0, KeyEventFExtendedKey, IntPtr.Zero);
    }

    public static void Next()
    {
        keybd_event(0xB0, 0, KeyEventFExtendedKey, IntPtr.Zero);
    }
    
    public static void Previous()
    {
        keybd_event(0xB1, 0, KeyEventFExtendedKey, IntPtr.Zero);
    }

    public static void Stop()
    {
        keybd_event(0xB2, 0, KeyEventFExtendedKey, IntPtr.Zero);
    }
}